Skip to main content
GET
/
v1
/
agents
List agents
curl --request GET \
  --url https://api.callingbox.io/v1/agents \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "user_id": "<string>",
      "name": "Appointment reminders",
      "persona": "<string>",
      "instructions": "<string>",
      "voice": "<string>",
      "language": "<string>",
      "returns": {
        "confirmed": "boolean",
        "reschedule_to": "string"
      },
      "tools": [
        {}
      ],
      "webhook_url": "<string>",
      "voicemail_action": "hangup",
      "primary_number_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "archived_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "numbers": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "e164": "+15551234567",
          "friendly_name": "<string>",
          "country_code": "US",
          "number_type": "local",
          "status": "active",
          "monthly_cost_cents": 100,
          "purchased_at": "2023-11-07T05:31:56Z",
          "inbound_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "outbound_agent_ids": [
            "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          ]
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
default:sk_live_your_api_key
required

API key starting with sk_

Query Parameters

type
enum<string>

Filter by agent type.

Available options:
inbound,
outbound

Response

200 - application/json

Agents

data
object[]